import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { AppRoutingModule } from './app-routing.module';
import { BrowserModule, HammerModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { IgxNavigationDrawerModule, IgxNavbarModule, IgxLayoutModule, IgxRippleModule, IgxGridModule } from 'igniteui-angular';
import { AppComponent } from './app.component';
import { PowerComponent } from './power/power.component';

import { IgxTreemapModule } from "igniteui-angular-charts";
import { IgxDoughnutChartModule } from "igniteui-angular-charts";
import { IgxRingSeriesModule } from "igniteui-angular-charts";
import { IgxPieChartModule } from "igniteui-angular-charts";
import { IgxLegendModule } from "igniteui-angular-charts";
import { IgxItemLegendModule } from "igniteui-angular-charts";
import { IgxDataChartInteractivityModule } from 'igniteui-angular-charts';
import { IgxDataChartAnnotationModule } from 'igniteui-angular-charts';
import { IgxCrosshairLayerModule } from 'igniteui-angular-charts';
import { IgxTimeXAxisComponent } from 'igniteui-angular-charts';

import { IgxDataChartCoreModule } from 'igniteui-angular-charts';
import { IgxDataChartCategoryModule } from 'igniteui-angular-charts';

@NgModule({
  declarations: [
    AppComponent,
    PowerComponent,
    // IgxTimeXAxisComponent
  ],
  imports: [
    FormsModule,
    BrowserModule,
    HammerModule,
    BrowserAnimationsModule,
    AppRoutingModule,
    IgxNavigationDrawerModule,
    IgxNavbarModule,
    IgxLayoutModule,
    IgxRippleModule,
    IgxGridModule,

    IgxTreemapModule,
    IgxDoughnutChartModule,
    IgxRingSeriesModule,
    IgxPieChartModule,
    IgxLegendModule,
    IgxItemLegendModule,
    IgxDataChartInteractivityModule,
    IgxDataChartAnnotationModule,
    IgxCrosshairLayerModule,
    IgxDataChartCoreModule,
    IgxDataChartCategoryModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
